---
title: llarp::layers::platform::PlatformLayer_Base
summary: owner of all platform layer components 

---

# llarp::layers::platform::PlatformLayer_Base



owner of all platform layer components 


`#include <context_base.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PlatformLayer_Base](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer__Base.md#function-platformlayer-base)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| virtual std::unique_ptr< [PlatformDriver_Base](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__Base.md) > | **[make_platform_driver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer__Base.md#function-make-platform-driver)**(PlatformKind kind =PlatformKind::ip)<br>make a new platform layer driver.  |
| | **[PlatformLayer_Base](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer__Base.md#function-platformlayer-base)**([flow::FlowLayer_Base](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer__Base.md) & flow_layer_) |
| virtual std::unique_ptr< [PlatformDriver_Base](Classes/classllarp_1_1layers_1_1platform_1_1PlatformDriver__Base.md) > | **[make_platform_driver](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer__Base.md#function-make-platform-driver)**(PlatformKind kind =PlatformKind::ip)<br>make a new platform layer driver.  |

## Protected Attributes

|                | Name           |
| -------------- | -------------- |
| [flow::FlowLayer_Base](Classes/classllarp_1_1layers_1_1flow_1_1FlowLayer__Base.md) & | **[m_flow_layer](Classes/classllarp_1_1layers_1_1platform_1_1PlatformLayer__Base.md#variable-m-flow-layer)**  |

## Public Functions Documentation

### function PlatformLayer_Base

```cpp
explicit PlatformLayer_Base(
    AbstractRouter & 
)
```


### function make_platform_driver

```cpp
virtual std::unique_ptr< PlatformDriver_Base > make_platform_driver(
    PlatformKind kind =PlatformKind::ip
)
```

make a new platform layer driver. 

### function PlatformLayer_Base

```cpp
explicit PlatformLayer_Base(
    flow::FlowLayer_Base & flow_layer_
)
```


### function make_platform_driver

```cpp
virtual std::unique_ptr< PlatformDriver_Base > make_platform_driver(
    PlatformKind kind =PlatformKind::ip
)
```

make a new platform layer driver. 

## Protected Attributes Documentation

### variable m_flow_layer

```cpp
flow::FlowLayer_Base & m_flow_layer;
```


-------------------------------

Updated on 2023-01-23 at 14:22:33 +0000